"""
    Copyright (C) 2021-2024 NICE s.r.l.
    All Rights Reserved

    This software is the confidential and proprietary information
    of NICE s.r.l. ("Confidential Information").
    You shall not disclose such Confidential Information
    and shall use it only in accordance with the terms of
    the license agreement you entered into with NICE.


    Authentication exceptions

    class:

    CliAuthenticationError -- Exception raised for errors in authentication
"""


class CliAuthenticationError(Exception):
    """Exception raised for errors in authentication"""

    def __init__(self, message: str, return_code: int):
        self.message = message
        self.return_code = return_code
