"""
    Copyright (C) 2013-2024 NICE s.r.l.
    All Rights Reserved

    This software is the confidential and proprietary information
    of NICE s.r.l. ("Confidential Information").
    You shall not disclose such Confidential Information
    and shall use it only in accordance with the terms of
    the license agreement you entered into with NICE.
"""

#
# This logger module needs to be Python 2.x compliant
# since it is used during Python version check
#

import logging

DEFAULT_LOG_LEVEL = logging.INFO
DEFAULT_LOGGER_NAME = "DCV Session manager CLI"
DEFAULT_FORMAT = "%(levelname)s : %(message)s "

logging.basicConfig(format=DEFAULT_FORMAT, level=DEFAULT_LOG_LEVEL)


def get():
    return logging.getLogger(DEFAULT_LOGGER_NAME)


def set_debug_level():
    get().setLevel(logging.DEBUG)
